      subroutine TestGrupOrlov
      use Basic_mod
      include 'fepc.cmn'
      include 'basic.cmn'
      dimension QuSymm(3,3)
      character*256 Veta
      character*80  GruFix(775),GruFixOld(775),t80
      character*5   smbq(3)
      data smbq/'alfa','beta','gamma'/
      logical EqIgCase
      GruFix(1)='P1(abg)'
      GruFix(2)='P-1(abg)'
      GruFix(3)='P2(ab0)'
      GruFix(4)='P2(ab1/2)'
      GruFix(5)='P2(00g)'
      GruFix(6)='P2(00g)s'
      GruFix(7)='P2(1/20g)'
      GruFix(8)='P21(ab0)'
      GruFix(9)='P21(00g)'
      GruFix(10)='P21(1/20g)'
      GruFix(11)='B2(ab0)'
      GruFix(12)='B2(00g)'
      GruFix(13)='B2(00g)s'
      GruFix(14)='B2(01/2g)'
      GruFix(15)='Pm(ab0)'
      GruFix(16)='Pm(ab0)s'
      GruFix(17)='Pm(ab1/2)'
      GruFix(18)='Pm(00g)'
      GruFix(19)='Pm(1/20g)'
      GruFix(20)='Pb(ab0)'
      GruFix(21)='Pb(ab1/2)'
      GruFix(22)='Pb(00g)'
      GruFix(23)='Pb(1/20g)'
      GruFix(24)='Bm(ab0)'
      GruFix(25)='Bm(ab0)s'
      GruFix(26)='Bm(00g)'
      GruFix(27)='Bm(01/2g)'
      GruFix(28)='Bb(ab0)'
      GruFix(29)='Bb(00g)'
      GruFix(30)='P2/m(ab0)'
      GruFix(31)='P2/m(ab0)0s'
      GruFix(32)='P2/m(ab1/2)'
      GruFix(33)='P2/m(00g)'
      GruFix(34)='P2/m(00g)s0'
      GruFix(35)='P2/m(1/20g)'
      GruFix(36)='P21/m(ab0)'
      GruFix(37)='P21/m(ab0)0s'
      GruFix(38)='P21/m(00g)'
      GruFix(39)='P21/m(1/20g)'
      GruFix(40)='B2/m(ab0)'
      GruFix(41)='B2/m(ab0)0s'
      GruFix(42)='B2/m(00g)'
      GruFix(43)='B2/m(00g)s0'
      GruFix(44)='B2/m(01/2g)'
      GruFix(45)='P2/b(ab0)'
      GruFix(46)='P2/b(ab1/2)'
      GruFix(47)='P2/b(00g)'
      GruFix(48)='P2/b(00g)s0'
      GruFix(49)='P2/b(1/20g)'
      GruFix(50)='P21/b(ab0)'
      GruFix(51)='P21/b(00g)'
      GruFix(52)='P21/b(1/20g)'
      GruFix(53)='B2/b(ab0)'
      GruFix(54)='B2/b(00g)'
      GruFix(55)='B2/b(00g)s0'
      GruFix(56)='P222(00g)'
      GruFix(57)='P222(00g)00s'
      GruFix(58)='P222(01/2g)'
      GruFix(59)='P222(1/21/2g)'
      GruFix(60)='P2221(00g)'
      GruFix(61)='P2221(01/2g)'
      GruFix(62)='P2221(1/21/2g)'
      GruFix(63)='P2122(00g)'
      GruFix(64)='P2122(00g)00s'
      GruFix(65)='P2122(01/2g)'
      GruFix(66)='P21212(00g)'
      GruFix(67)='P21212(00g)00s'
      GruFix(68)='P21221(00g)'
      GruFix(69)='P21221(01/2g)'
      GruFix(70)='P212121(00g)'
      GruFix(71)='C2221(00g)'
      GruFix(72)='C2221(10g)'
      GruFix(73)='A2122(00g)'
      GruFix(74)='A2122(00g)00s'
      GruFix(75)='C222(00g)'
      GruFix(76)='C222(00g)00s'
      GruFix(77)='C222(10g)'
      GruFix(78)='C222(10g)00s'
      GruFix(79)='A222(00g)'
      GruFix(80)='A222(00g)00s'
      GruFix(81)='A222(1/20g)'
      GruFix(82)='F222(00g)'
      GruFix(83)='F222(00g)00s'
      GruFix(84)='F222(10g)'
      GruFix(85)='I222(00g)'
      GruFix(86)='I222(00g)00s'
      GruFix(87)='I212121(00g)'
      GruFix(88)='I212121(00g)00s'
      GruFix(89)='Pmm2(00g)'
      GruFix(90)='Pmm2(00g)s0s'
      GruFix(91)='Pmm2(00g)ss0'
      GruFix(92)='Pmm2(01/2g)'
      GruFix(93)='Pmm2(01/2g)s0s'
      GruFix(94)='Pmm2(1/21/2g)'
      GruFix(95)='Pm2m(01/2g)'
      GruFix(96)='Pm2m(01/2g)s00'
      GruFix(97)='P2mm(00g)'
      GruFix(98)='P2mm(00g)0s0'
      GruFix(99)='P2mm(01/2g)'
      GruFix(100)='P2mm(1/21/2g)'
      GruFix(101)='Pmc21(00g)'
      GruFix(102)='Pmc21(00g)s0s'
      GruFix(103)='Pmc21(01/2g)'
      GruFix(104)='Pmc21(01/2g)s0s'
      GruFix(105)='Pcm21(01/2g)'
      GruFix(106)='Pmc21(1/21/2g)'
      GruFix(107)='P21am(00g)'
      GruFix(108)='P21am(00g)0s0'
      GruFix(109)='P21mn(00g)'
      GruFix(110)='P21ma(00g)0s0'
      GruFix(111)='P21am(01/2g)'
      GruFix(112)='P21ma(01/2g)'
      GruFix(113)='Pcc2(00g)'
      GruFix(114)='Pcc2(00g)s0s'
      GruFix(115)='Pcc2(01/2g)'
      GruFix(116)='Pcc2(1/21/2g)'
      GruFix(117)='P2aa(00g)'
      GruFix(118)='P2aa(00g)0s0'
      GruFix(119)='P2aa(01/2g)'
      GruFix(120)='Pma2(00g)'
      GruFix(121)='Pma2(00g)s0s'
      GruFix(122)='Pma2(00g)ss0'
      GruFix(123)='Pma2(00g)0ss'
      GruFix(124)='Pma2(01/2g)'
      GruFix(125)='Pma2(01/2g)s0s'
      GruFix(126)='Pm2a(01/2g)'
      GruFix(127)='Pm2a(01/2g)s00'
      GruFix(128)='Pc2m(01/2g)'
      GruFix(129)='P2cm(00g)'
      GruFix(130)='P2mb(00g)'
      GruFix(131)='P2mb(00g)0s0'
      GruFix(132)='P2cm(01/2g)'
      GruFix(133)='P2cm(1/21/2g)'
      GruFix(134)='Pca21(00g)'
      GruFix(135)='Pca21(00g)0ss'
      GruFix(136)='Pca21(01/2g)'
      GruFix(137)='P21ca(00g)'
      GruFix(138)='P21ab(00g)'
      GruFix(139)='P21ab(00g)0s0'
      GruFix(140)='P21ca(01/2g)'
      GruFix(141)='Pcn2(00g)'
      GruFix(142)='Pcn2(00g)s0s'
      GruFix(143)='Pcn2(01/2g)'
      GruFix(144)='P2na(00g)'
      GruFix(145)='P2an(00g)'
      GruFix(146)='P2an(00g)0s0'
      GruFix(147)='P2na(01/2g)'
      GruFix(148)='P2an(1/21/2g)0q0'
      GruFix(149)='Pmn21(00g)'
      GruFix(150)='Pmn21(00g)s0s'
      GruFix(151)='Pmn21(01/2g)'
      GruFix(152)='Pmn21(01/2g)s0s'
      GruFix(153)='P21nm(00g)'
      GruFix(154)='P21mn(00g)'
      GruFix(155)='P21mn(00g)0s0'
      GruFix(156)='P21nm(01/2g)'
      GruFix(157)='Pba2(00g)'
      GruFix(158)='Pba2(00g)s0s'
      GruFix(159)='Pba2(00g)ss0'
      GruFix(160)='Pba2(1/21/2g)qq0'
      GruFix(161)='Pc2a(01/2g)'
      GruFix(162)='P2cb(00g)'
      GruFix(163)='Pbn21(00g)'
      GruFix(164)='Pbn21(00g)s0s'
      GruFix(165)='Pbn21(1/21/2g)qq0'
      GruFix(166)='P21nb(00g)'
      GruFix(167)='P21cn(00g)'
      GruFix(168)='Pnn2(00g)'
      GruFix(169)='Pnn2(00g)s0s'
      GruFix(170)='Pnn2(1/21/2g)qq0'
      GruFix(171)='P2nn(00g)'
      GruFix(172)='P2nn(1/21/2g)0q0'
      GruFix(173)='Cmm2(00g)'
      GruFix(174)='Cmm2(00g)s0s'
      GruFix(175)='Cmm2(00g)ss0'
      GruFix(176)='Cmm2(10g)'
      GruFix(177)='Cmm2(10g)s0s'
      GruFix(178)='Cmm2(10g)ss0'
      GruFix(179)='A2mm(00g)'
      GruFix(180)='A2mm(00g)0s0'
      GruFix(181)='A2mm(1/20g)'
      GruFix(182)='A2mm(1/20g)0s0'
      GruFix(183)='Cmc21(00g)'
      GruFix(184)='Cmc21(00g)s0s'
      GruFix(185)='Cmc21(10g)'
      GruFix(186)='Cmc21(10g)s0s'
      GruFix(187)='A21am(00g)'
      GruFix(188)='A21am(00g)0s0'
      GruFix(189)='A21ma(00g)'
      GruFix(190)='A21ma(00g)0s0'
      GruFix(191)='Ccc2(00g)'
      GruFix(192)='Ccc2(00g)s0s'
      GruFix(193)='Ccc2(10g)'
      GruFix(194)='Ccc2(10g)s0s'
      GruFix(195)='A2aa(00g)'
      GruFix(196)='A2aa(00g)0s0'
      GruFix(197)='C2mm(00g)'
      GruFix(198)='C2mm(00g)0s0'
      GruFix(199)='C2mm(10g)'
      GruFix(200)='C2mm(10g)0s0'
      GruFix(201)='Amm2(00g)'
      GruFix(202)='Amm2(00g)s0s'
      GruFix(203)='Amm2(00g)ss0'
      GruFix(204)='Amm2(00g)0ss'
      GruFix(205)='Amm2(1/20g)'
      GruFix(206)='Amm2(1/20g)0ss'
      GruFix(207)='Am2m(00g)'
      GruFix(208)='Am2m(00g)s00'
      GruFix(209)='Am2m(1/20g)'
      GruFix(210)='C2me(00g)'
      GruFix(211)='C2me(00g)0s0'
      GruFix(212)='C2me(10g)'
      GruFix(213)='C2me(10g)0s0'
      GruFix(214)='Aem2(00g)'
      GruFix(215)='Aem2(00g)s0s'
      GruFix(216)='Aem2(00g)ss0'
      GruFix(217)='Aem2(00g)0ss'
      GruFix(218)='Aem2(1/20g)'
      GruFix(219)='Aem2(1/20g)0ss'
      GruFix(220)='Ae2m(00g)'
      GruFix(221)='Ae2m(00g)s00'
      GruFix(222)='Ae2m(1/20g)'
      GruFix(223)='C2cm(00g)'
      GruFix(224)='C2cm(10g)'
      GruFix(225)='Ama2(00g)'
      GruFix(226)='Ama2(00g)s0s'
      GruFix(227)='Ama2(00g)ss0'
      GruFix(228)='Ama2(00g)0ss'
      GruFix(229)='Am2a(00g)'
      GruFix(230)='Am2a(00g)s00'
      GruFix(231)='C2ce(00g)'
      GruFix(232)='C2ce(10g)'
      GruFix(233)='Aea2(00g)'
      GruFix(234)='Aea2(00g)s0s'
      GruFix(235)='Aea2(00g)ss0'
      GruFix(236)='Aea2(00g)0ss'
      GruFix(237)='Ae2a(00g)'
      GruFix(238)='Ae2a(00g)s00'
      GruFix(239)='Fmm2(00g)'
      GruFix(240)='Fmm2(00g)s0s'
      GruFix(241)='Fmm2(00g)ss0'
      GruFix(242)='Fmm2(10g)'
      GruFix(243)='Fmm2(10g)s0s'
      GruFix(244)='Fmm2(10g)ss0'
      GruFix(245)='F2mm(00g)'
      GruFix(246)='F2mm(00g)0s0'
      GruFix(247)='F2mm(10g)'
      GruFix(248)='F2mm(10g)0s0'
      GruFix(249)='Fdd2(00g)'
      GruFix(250)='Fdd2(00g)s0s'
      GruFix(251)='F2dd(00g)'
      GruFix(252)='Imm2(00g)'
      GruFix(253)='Imm2(00g)s0s'
      GruFix(254)='Imm2(00g)ss0'
      GruFix(255)='I2mm(00g)'
      GruFix(256)='I2mm(00g)0s0'
      GruFix(257)='Iba2(00g)'
      GruFix(258)='Iba2(00g)s0s'
      GruFix(259)='Iba2(00g)ss0'
      GruFix(260)='I2cb(00g)'
      GruFix(261)='I2cb(00g)0s0'
      GruFix(262)='Ima2(00g)'
      GruFix(263)='Ima2(00g)s0s'
      GruFix(264)='Ima2(00g)ss0'
      GruFix(265)='Ima2(00g)0ss'
      GruFix(266)='I2mb(00g)'
      GruFix(267)='I2mb(00g)0s0'
      GruFix(268)='I2cm(00g)'
      GruFix(269)='I2cm(00g)0s0'
      GruFix(270)='Pmmm(00g)'
      GruFix(271)='Pmmm(00g)s00'
      GruFix(272)='Pmmm(00g)ss0'
      GruFix(273)='Pmmm(01/2g)'
      GruFix(274)='Pmmm(01/2g)s00'
      GruFix(275)='Pmmm(1/21/2g)'
      GruFix(276)='Pnnn(00g)'
      GruFix(277)='Pnnn(00g)s00'
      GruFix(278)='Pnnn(1/21/2g)qq0'
      GruFix(279)='Pccm(00g)'
      GruFix(280)='Pccm(00g)s00'
      GruFix(281)='Pmaa(00g)'
      GruFix(282)='Pmaa(00g)s00'
      GruFix(283)='Pmaa(00g)ss0'
      GruFix(284)='Pmaa(00g)0s0'
      GruFix(285)='Pccm(01/2g)'
      GruFix(286)='Pmaa(01/2g)'
      GruFix(287)='Pmaa(01/2g)s00'
      GruFix(288)='Pccm(1/21/2g)'
      GruFix(289)='Pban(00g)'
      GruFix(290)='Pban(00g)s00'
      GruFix(291)='Pban(00g)ss0'
      GruFix(292)='Pcna(00g)'
      GruFix(293)='Pcna(00g)s00'
      GruFix(294)='Pcna(01/2g)'
      GruFix(295)='Pban(1/21/2g)qq0'
      GruFix(296)='Pmma(00g)'
      GruFix(297)='Pmma(00g)s00'
      GruFix(298)='Pmma(00g)ss0'
      GruFix(299)='Pmma(00g)0s0'
      GruFix(300)='Pmam(00g)'
      GruFix(301)='Pmam(00g)s00'
      GruFix(302)='Pmam(00g)ss0'
      GruFix(303)='Pmam(00g)0s0'
      GruFix(304)='Pmcm(00g)'
      GruFix(305)='Pmcm(00g)s00'
      GruFix(306)='Pmma(01/2g)'
      GruFix(307)='Pmma(01/2g)s00'
      GruFix(308)='Pmam(01/2g)'
      GruFix(309)='Pmam(01/2g)s00'
      GruFix(310)='Pmcm(01/2g)'
      GruFix(311)='Pmcm(01/2g)s00'
      GruFix(312)='Pcmm(01/2g)'
      GruFix(313)='Pcmm(1/21/2g)'
      GruFix(314)='Pnna(00g)'
      GruFix(315)='Pnna(00g)s00'
      GruFix(316)='Pbnn(00g)'
      GruFix(317)='Pbnn(00g)s00'
      GruFix(318)='Pcnn(00g)'
      GruFix(319)='Pcnn(00g)s00'
      GruFix(320)='Pbnn(1/21/2g)qq0'
      GruFix(321)='Pmna(00g)'
      GruFix(322)='Pmna(00g)s00'
      GruFix(323)='Pcnm(00g)'
      GruFix(324)='Pcnm(00g)s00'
      GruFix(325)='Pbmn(00g)'
      GruFix(326)='Pbmn(00g)s00'
      GruFix(327)='Pbmn(00g)ss0'
      GruFix(328)='Pbmn(00g)0s0'
      GruFix(329)='Pmna(01/2g)'
      GruFix(330)='Pmna(01/2g)s00'
      GruFix(331)='Pcnm(01/2g)'
      GruFix(332)='Pcca(00g)'
      GruFix(333)='Pcca(00g)s00'
      GruFix(334)='Pcaa(00g)'
      GruFix(335)='Pcaa(00g)0s0'
      GruFix(336)='Pbab(00g)'
      GruFix(337)='Pbab(00g)s00'
      GruFix(338)='Pbab(00g)ss0'
      GruFix(339)='Pbab(00g)0s0'
      GruFix(340)='Pcca(01/2g)'
      GruFix(341)='Pcaa(01/2g)'
      GruFix(342)='Pbam(00g)'
      GruFix(343)='Pbam(00g)s00'
      GruFix(344)='Pbam(00g)ss0'
      GruFix(345)='Pcma(00g)'
      GruFix(346)='Pcma(00g)0s0'
      GruFix(347)='Pcma(01/2g)'
      GruFix(348)='Pccn(00g)'
      GruFix(349)='Pccn(00g)s00'
      GruFix(350)='Pbnb(00g)'
      GruFix(351)='Pbnb(00g)s00'
      GruFix(352)='Pcam(00g)'
      GruFix(353)='Pcam(00g)0s0'
      GruFix(354)='Pmca(00g)'
      GruFix(355)='Pmca(00g)s00'
      GruFix(356)='Pbma(00g)'
      GruFix(357)='Pbma(00g)s00'
      GruFix(358)='Pbma(00g)ss0'
      GruFix(359)='Pbma(00g)0s0'
      GruFix(360)='Pcam(01/2g)'
      GruFix(361)='Pmca(01/2g)'
      GruFix(362)='Pmca(01/2g)s00'
      GruFix(363)='Pnnm(00g)'
      GruFix(364)='Pnnm(00g)s00'
      GruFix(365)='Pmnn(00g)'
      GruFix(366)='Pmnn(00g)s00'
      GruFix(367)='Pmmn(00g)'
      GruFix(368)='Pmmn(00g)s00'
      GruFix(369)='Pmmn(00g)ss0'
      GruFix(370)='Pmnm(00g)'
      GruFix(371)='Pmnm(00g)s00'
      GruFix(372)='Pmnm(01/2g)'
      GruFix(373)='Pmnm(01/2g)s00'
      GruFix(374)='Pbcn(00g)'
      GruFix(375)='Pbcn(00g)s00'
      GruFix(376)='Pnca(00g)'
      GruFix(377)='Pnca(00g)s00'
      GruFix(378)='Pbna(00g)'
      GruFix(379)='Pbna(00g)s00'
      GruFix(380)='Pbca(00g)'
      GruFix(381)='Pbca(00g)s00'
      GruFix(382)='Pnma(00g)'
      GruFix(383)='Pnma(00g)0s0'
      GruFix(384)='Pbnm(00g)'
      GruFix(385)='Pbnm(00g)s00'
      GruFix(386)='Pmcn(00g)'
      GruFix(387)='Pmcn(00g)s00'
      GruFix(388)='Cmcm(00g)'
      GruFix(389)='Cmcm(00g)s00'
      GruFix(390)='Cmcm(10g)'
      GruFix(391)='Cmcm(10g)s00'
      GruFix(392)='Amam(00g)'
      GruFix(393)='Amam(00g)s00'
      GruFix(394)='Amam(00g)ss0'
      GruFix(395)='Amam(00g)0s0'
      GruFix(396)='Amma(00g)'
      GruFix(397)='Amma(00g)s00'
      GruFix(398)='Amma(00g)ss0'
      GruFix(399)='Amma(00g)0s0'
      GruFix(400)='Cmce(00g)'
      GruFix(401)='Cmce(00g)s00'
      GruFix(402)='Cmce(10g)'
      GruFix(403)='Cmce(10g)s00'
      GruFix(404)='Aema(00g)'
      GruFix(405)='Aema(00g)s00'
      GruFix(406)='Aema(00g)ss0'
      GruFix(407)='Aema(00g)0s0'
      GruFix(408)='Aeam(00g)'
      GruFix(409)='Aeam(00g)s00'
      GruFix(410)='Aeam(00g)ss0'
      GruFix(411)='Aeam(00g)0s0'
      GruFix(412)='Cmmm(00g)'
      GruFix(413)='Cmmm(00g)s00'
      GruFix(414)='Cmmm(00g)ss0'
      GruFix(415)='Cmmm(10g)'
      GruFix(416)='Cmmm(10g)s00'
      GruFix(417)='Cmmm(10g)ss0'
      GruFix(418)='Ammm(00g)'
      GruFix(419)='Ammm(00g)s00'
      GruFix(420)='Ammm(00g)ss0'
      GruFix(421)='Ammm(00g)0s0'
      GruFix(422)='Ammm(1/20g)'
      GruFix(423)='Ammm(1/20g)0s0'
      GruFix(424)='Cccm(00g)'
      GruFix(425)='Cccm(00g)s00'
      GruFix(426)='Cccm(10g)'
      GruFix(427)='Cccm(10g)s00'
      GruFix(428)='Amaa(00g)'
      GruFix(429)='Amaa(00g)s00'
      GruFix(430)='Amaa(00g)ss0'
      GruFix(431)='Amaa(00g)0s0'
      GruFix(432)='Cmme(00g)'
      GruFix(433)='Cmme(00g)s00'
      GruFix(434)='Cmme(00g)ss0'
      GruFix(435)='Cmme(10g)'
      GruFix(436)='Cmme(10g)s00'
      GruFix(437)='Cmme(10g)ss0'
      GruFix(438)='Aemm(00g)'
      GruFix(439)='Aemm(00g)s00'
      GruFix(440)='Aemm(00g)ss0'
      GruFix(441)='Aemm(00g)0s0'
      GruFix(442)='Aemm(1/20g)'
      GruFix(443)='Aemm(1/20g)0s0'
      GruFix(444)='Ccce(00g)'
      GruFix(445)='Ccce(00g)s00'
      GruFix(446)='Ccce(10g)'
      GruFix(447)='Ccce(10g)s00'
      GruFix(448)='Aeaa(00g)'
      GruFix(449)='Aeaa(00g)s00'
      GruFix(450)='Aeaa(00g)ss0'
      GruFix(451)='Aeaa(00g)0s0'
      GruFix(452)='Fmmm(00g)'
      GruFix(453)='Fmmm(00g)s00'
      GruFix(454)='Fmmm(00g)ss0'
      GruFix(455)='Fmmm(10g)'
      GruFix(456)='Fmmm(10g)s00'
      GruFix(457)='Fmmm(10g)ss0'
      GruFix(458)='Fddd(00g)'
      GruFix(459)='Fddd(00g)s00'
      GruFix(460)='Immm(00g)'
      GruFix(461)='Immm(00g)s00'
      GruFix(462)='Immm(00g)ss0'
      GruFix(463)='Ibam(00g)'
      GruFix(464)='Ibam(00g)s00'
      GruFix(465)='Ibam(00g)ss0'
      GruFix(466)='Imcb(00g)'
      GruFix(467)='Imcb(00g)s00'
      GruFix(468)='Imcb(00g)ss0'
      GruFix(469)='Imcb(00g)0s0'
      GruFix(470)='Ibca(00g)'
      GruFix(471)='Ibca(00g)s00'
      GruFix(472)='Ibca(00g)ss0'
      GruFix(473)='Imma(00g)'
      GruFix(474)='Imma(00g)s00'
      GruFix(475)='Imma(00g)ss0'
      GruFix(476)='Ibmm(00g)'
      GruFix(477)='Ibmm(00g)s00'
      GruFix(478)='Ibmm(00g)ss0'
      GruFix(479)='Ibmm(00g)0s0'
      GruFix(480)='P4(00g)'
      GruFix(481)='P4(00g)q'
      GruFix(482)='P4(00g)s'
      GruFix(483)='P4(1/21/2g)'
      GruFix(484)='P4(1/21/2g)q'
      GruFix(485)='P41(00g)'
      GruFix(486)='P41(1/21/2g)'
      GruFix(487)='P42(00g)'
      GruFix(488)='P42(00g)q'
      GruFix(489)='P42(1/21/2g)'
      GruFix(490)='P42(1/21/2g)q'
      GruFix(491)='P43(00g)'
      GruFix(492)='P43(1/21/2g)q'
      GruFix(493)='I4(00g)'
      GruFix(494)='I4(00g)q'
      GruFix(495)='I4(00g)s'
      GruFix(496)='I41(00g)'
      GruFix(497)='I41(00g)q'
      GruFix(498)='P4(00g)'
      GruFix(499)='P-4(1/21/2g)'
      GruFix(500)='I-4(00g)'
      GruFix(501)='P4/m(00g)'
      GruFix(502)='P4/m(00g)s0'
      GruFix(503)='P4/m(1/21/2g)'
      GruFix(504)='P42/m(00g)'
      GruFix(505)='P42/m(1/21/2g)'
      GruFix(506)='P4/n(00g)'
      GruFix(507)='P4/n(00g)s0'
      GruFix(508)='P4/n(1/21/2g)q0'
      GruFix(509)='P42/n(00g)'
      GruFix(510)='P42/n(1/21/2g)q0'
      GruFix(511)='I4/m(00g)'
      GruFix(512)='I4/m(00g)s0'
      GruFix(513)='I41/a(00g)'
      GruFix(514)='P422(00g)'
      GruFix(515)='P422(00g)q00'
      GruFix(516)='P422(00g)s00'
      GruFix(517)='P422(1/21/2g)'
      GruFix(518)='P422(1/21/2g)q00'
      GruFix(519)='P4212(00g)'
      GruFix(520)='P4212(00g)q00'
      GruFix(521)='P4212(00g)s00'
      GruFix(522)='P4122(00g)'
      GruFix(523)='P4122(1/21/2g)'
      GruFix(524)='P41212(00g)'
      GruFix(525)='P4222(00g)'
      GruFix(526)='P4222(00g)q00'
      GruFix(527)='P4222(1/21/2g)'
      GruFix(528)='P4222(1/21/2g)q00'
      GruFix(529)='P42212(00g)'
      GruFix(530)='P42212(00g)q00'
      GruFix(531)='P4322(00g)'
      GruFix(532)='P4322(1/21/2g)'
      GruFix(533)='P43212(00g)'
      GruFix(534)='I422(00g)'
      GruFix(535)='I422(00g)q00'
      GruFix(536)='I422(00g)s00'
      GruFix(537)='I4122(00g)'
      GruFix(538)='I4122(00g)q00'
      GruFix(539)='P4mm(00g)'
      GruFix(540)='P4mm(00g)ss0'
      GruFix(541)='P4mm(00g)0ss'
      GruFix(542)='P4mm(00g)s0s'
      GruFix(543)='P4mm(1/21/2g)'
      GruFix(544)='P4mm(1/21/2g)0ss'
      GruFix(545)='P4bm(00g)'
      GruFix(546)='P4bm(00g)ss0'
      GruFix(547)='P4bm(00g)0ss'
      GruFix(548)='P4bm(00g)s0s'
      GruFix(549)='P4bm(1/21/2g)qq0'
      GruFix(550)='P4bm(1/21/2g)qqs'
      GruFix(551)='P42cm(00g)'
      GruFix(552)='P42cm(00g)0ss'
      GruFix(553)='P42cm(1/21/2g)'
      GruFix(554)='P42cm(1/21/2g)0ss'
      GruFix(555)='P42nm(00g)'
      GruFix(556)='P42nm(00g)0ss'
      GruFix(557)='P42nm(1/21/2g)qq0'
      GruFix(558)='P42nm(1/21/2g)qqs'
      GruFix(559)='P4cc(00g)'
      GruFix(560)='P4cc(00g)ss0'
      GruFix(561)='P4cc(1/21/2g)'
      GruFix(562)='P4nc(00g)'
      GruFix(563)='P4nc(00g)ss0'
      GruFix(564)='P4nc(1/21/2g)qq0'
      GruFix(565)='P42mc(00g)'
      GruFix(566)='P42mc(00g)ss0'
      GruFix(567)='P42mc(1/21/2g)'
      GruFix(568)='P42bc(00g)'
      GruFix(569)='P42bc(00g)ss0'
      GruFix(570)='P42bc(1/21/2g)qq0'
      GruFix(571)='I4mm(00g)'
      GruFix(572)='I4mm(00g)ss0'
      GruFix(573)='I4mm(00g)0ss'
      GruFix(574)='I4mm(00g)s0s'
      GruFix(575)='I4cm(00g)'
      GruFix(576)='I4cm(00g)ss0'
      GruFix(577)='I4cm(00g)0ss'
      GruFix(578)='I4cm(00g)s0s'
      GruFix(579)='I41md(00g)'
      GruFix(580)='I41md(00g)ss0'
      GruFix(581)='I41cd(00g)'
      GruFix(582)='I41cd(00g)ss0'
      GruFix(583)='P-42m(00g)'
      GruFix(584)='P-42m(00g)00s'
      GruFix(585)='P-42m(1/21/2g)'
      GruFix(586)='P-42m(1/21/2g)00s'
      GruFix(587)='P-42c(00g)'
      GruFix(588)='P-42c(1/21/2g)'
      GruFix(589)='P-421m(00g)'
      GruFix(590)='P-421m(00g)00s'
      GruFix(591)='P-421c(00g)'
      GruFix(592)='P-4m2(00g)'
      GruFix(593)='P-4m2(00g)0s0'
      GruFix(594)='P-4m2(1/21/2g)'
      GruFix(595)='P-4c2(00g)'
      GruFix(596)='P-4c2(1/21/2g)'
      GruFix(597)='P-4b2(00g)'
      GruFix(598)='P-4b2(00g)0s0'
      GruFix(599)='P-4b2(1/21/2g)0q0'
      GruFix(600)='P-4n2(00g)'
      GruFix(601)='P-4n2(1/21/2g)0q0'
      GruFix(602)='I-4m2(00g)'
      GruFix(603)='I-4m2(00g)0s0'
      GruFix(604)='I-4c2(00g)'
      GruFix(605)='I-4c2(00g)0s0'
      GruFix(606)='I-42m(00g)'
      GruFix(607)='I-42m(00g)00s'
      GruFix(608)='I-42d(00g)'
      GruFix(609)='P4/mmm(00g)'
      GruFix(610)='P4/mmm(00g)s0s0'
      GruFix(611)='P4/mmm(00g)00ss'
      GruFix(612)='P4/mmm(00g)s00s'
      GruFix(613)='P4/mmm(1/21/2g)'
      GruFix(614)='P4/mmm(1/21/2g)00ss'
      GruFix(615)='P4/mcc(00g)'
      GruFix(616)='P4/mcc(00g)s0s0'
      GruFix(617)='P4/mcc(1/21/2g)'
      GruFix(618)='P4/nbm(00g)'
      GruFix(619)='P4/nbm(00g)s0s0'
      GruFix(620)='P4/nbm(00g)00ss'
      GruFix(621)='P4/nbm(00g)s00s'
      GruFix(622)='P4/nbm(1/21/2g)q0q0'
      GruFix(623)='P4/nbm(1/21/2g)q0qs'
      GruFix(624)='P4/nnc(00g)'
      GruFix(625)='P4/nnc(00g)s0s0'
      GruFix(626)='P4/nnc(1/21/2g)q0q0'
      GruFix(627)='P4/mbm(00g)'
      GruFix(628)='P4/mbm(00g)s0s0'
      GruFix(629)='P4/mbm(00g)00ss'
      GruFix(630)='P4/mbm(00g)s00s'
      GruFix(631)='P4/mnc(00g)'
      GruFix(632)='P4/mnc(00g)s0s0'
      GruFix(633)='P4/nmm(00g)'
      GruFix(634)='P4/nmm(00g)s0s0'
      GruFix(635)='P4/nmm(00g)00ss'
      GruFix(636)='P4/nmm(00g)s00s'
      GruFix(637)='P4/ncc(00g)'
      GruFix(638)='P4/ncc(00g)s0s0'
      GruFix(639)='P42/mmc(00g)'
      GruFix(640)='P42/mmc(00g)s0s0'
      GruFix(641)='P42/mmc(1/21/2g)'
      GruFix(642)='P42/mcm(00g)'
      GruFix(643)='P42/mcm(00g)00ss'
      GruFix(644)='P42/mcm(1/21/2g)'
      GruFix(645)='P42/mcm(1/21/2g)00ss'
      GruFix(646)='P42/nbc(00g)'
      GruFix(647)='P42/nbc(00g)s0s0'
      GruFix(648)='P42/nbc(1/21/2g)q0q0'
      GruFix(649)='P42/nnm(00g)'
      GruFix(650)='P42/nnm(00g)00ss'
      GruFix(651)='P42/nnm(1/21/2g)q0q0'
      GruFix(652)='P42/nnm(1/21/2g)q0qs'
      GruFix(653)='P42/mbc(00g)'
      GruFix(654)='P42/mbc(00g)s0s0'
      GruFix(655)='P42/mnm(00g)'
      GruFix(656)='P42/mnm(00g)00ss'
      GruFix(657)='P42/nmc(00g)'
      GruFix(658)='P42/nmc(00g)s0s0'
      GruFix(659)='P42/ncm(00g)'
      GruFix(660)='P42/ncm(00g)00ss'
      GruFix(661)='I4/mmm(00g)'
      GruFix(662)='I4/mmm(00g)s0s0'
      GruFix(663)='I4/mmm(00g)00ss'
      GruFix(664)='I4/mmm(00g)s00s'
      GruFix(665)='I4/mcm(00g)'
      GruFix(666)='I4/mcm(00g)s0s0'
      GruFix(667)='I4/mcm(00g)00ss'
      GruFix(668)='I4/mcm(00g)s00s'
      GruFix(669)='I41/amd(00g)'
      GruFix(670)='I41/amd(00g)s0s0'
      GruFix(671)='I41/acd(00g)'
      GruFix(672)='I41/acd(00g)s0s0'
      GruFix(673)='P3(1/31/3g)'
      GruFix(674)='P3(00g)'
      GruFix(675)='P3(00g)t'
      GruFix(676)='P31(1/31/3g)'
      GruFix(677)='P31(00g)'
      GruFix(678)='P32(1/31/3g)'
      GruFix(679)='P32(00g)'
      GruFix(680)='R3(00g)'
      GruFix(681)='R3(00g)t'
      GruFix(682)='P-3(1/31/3g)'
      GruFix(683)='P-3(00g)'
      GruFix(684)='R-3(00g)'
      GruFix(685)='P312(1/31/3g)'
      GruFix(686)='P312(00g)'
      GruFix(687)='P312(00g)t00'
      GruFix(688)='P321(00g)'
      GruFix(689)='P321(00g)t00'
      GruFix(690)='P3112(1/31/3g)'
      GruFix(691)='P3112(00g)'
      GruFix(692)='P3121(00g)'
      GruFix(693)='P3212(1/31/3g)'
      GruFix(694)='P3212(00g)'
      GruFix(695)='P3221(00g)'
      GruFix(696)='R32(00g)'
      GruFix(697)='R32(00g)t0'
      GruFix(698)='P3m1(00g)'
      GruFix(699)='P3m1(00g)0s0'
      GruFix(700)='P31m(1/31/3g)'
      GruFix(701)='P31m(1/31/3g)00s'
      GruFix(702)='P31m(00g)'
      GruFix(703)='P31m(00g)00s'
      GruFix(704)='P3c1(00g)'
      GruFix(705)='P31c(1/31/3g)'
      GruFix(706)='P31c(00g)'
      GruFix(707)='R3m(00g)'
      GruFix(708)='R3m(00g)0s'
      GruFix(709)='R3c(00g)'
      GruFix(710)='P-31m(1/31/3g)'
      GruFix(711)='P-31m(1/31/3g)00s'
      GruFix(712)='P-31m(00g)'
      GruFix(713)='P-31m(00g)00s'
      GruFix(714)='P-31c(1/31/3g)'
      GruFix(715)='P-31c(00g)'
      GruFix(716)='P-3m1(00g)'
      GruFix(717)='P-3m1(00g)0s0'
      GruFix(718)='P-3c1(00g)'
      GruFix(719)='R-3m(00g)'
      GruFix(720)='R-3m(00g)0s'
      GruFix(721)='R-3c(00g)'
      GruFix(722)='P6(00g)'
      GruFix(723)='P6(00g)h'
      GruFix(724)='P6(00g)t'
      GruFix(725)='P6(00g)s'
      GruFix(726)='P61(00g)'
      GruFix(727)='P65(00g)'
      GruFix(728)='P62(00g)'
      GruFix(729)='P62(00g)h'
      GruFix(730)='P64(00g)'
      GruFix(731)='P64(00g)h'
      GruFix(732)='P63(00g)'
      GruFix(733)='P63(00g)h'
      GruFix(734)='P-6(00g)'
      GruFix(735)='P6/m(00g)'
      GruFix(736)='P6/m(00g)s0'
      GruFix(737)='P63/m(00g)'
      GruFix(738)='P622(00g)'
      GruFix(739)='P622(00g)h00'
      GruFix(740)='P622(00g)t00'
      GruFix(741)='P622(00g)s00'
      GruFix(742)='P6122(00g)'
      GruFix(743)='P6222(00g)'
      GruFix(744)='P6222(00g)'
      GruFix(745)='P6222(00g)h00'
      GruFix(746)='P6422(00g)'
      GruFix(747)='P6422(00g)h00'
      GruFix(748)='P6322(00g)'
      GruFix(749)='P6322(00g)h00'
      GruFix(750)='P6mm(00g)'
      GruFix(751)='P6mm(00g)ss0'
      GruFix(752)='P6mm(00g)0ss'
      GruFix(753)='P6mm(00g)s0s'
      GruFix(754)='P6cc(00g)'
      GruFix(755)='P6cc(00g)s0s'
      GruFix(756)='P63cm(00g)'
      GruFix(757)='P63cm(00g)0ss'
      GruFix(758)='P63mc(00g)'
      GruFix(759)='P63mc(00g)0ss'
      GruFix(760)='P-6m2(00g)'
      GruFix(761)='P-6m2(00g)0s0'
      GruFix(762)='P-6c2(00g)'
      GruFix(763)='P-62m(00g)'
      GruFix(764)='P-62m(00g)00s'
      GruFix(765)='P-62c(00g)'
      GruFix(766)='P6/mmm(00g)'
      GruFix(767)='P6/mmm(00g)s0s0'
      GruFix(768)='P6/mmm(00g)00ss'
      GruFix(769)='P6/mmm(00g)s00s'
      GruFix(770)='P6/mcc(00g)'
      GruFix(771)='P6/mcc(00g)s00s'
      GruFix(772)='P63/mcm(00g)'
      GruFix(773)='P63/mcm(00g)00ss'
      GruFix(774)='P63/mmc(00g)'
      GruFix(775)='P63/mmc(00g)00ss'
      GruFixOld(1)='P1(abg)'
      GruFixOld(2)='P-1(abg)'
      GruFixOld(3)='P2(ab0)'
      GruFixOld(4)='P2(ab1/2)'
      GruFixOld(5)='P2(00g)'
      GruFixOld(6)='P2(00g)s'
      GruFixOld(7)='P2(1/20g)'
      GruFixOld(8)='P21(ab0)'
      GruFixOld(9)='P21(00g)'
      GruFixOld(10)='P21(1/20g)'
      GruFixOld(11)='B2(ab0)'
      GruFixOld(12)='B2(00g)'
      GruFixOld(13)='B2(00g)s'
      GruFixOld(14)='B2(01/2g)'
      GruFixOld(15)='Pm(ab0)'
      GruFixOld(16)='Pm(ab0)s'
      GruFixOld(17)='Pm(ab1/2)'
      GruFixOld(18)='Pm(00g)'
      GruFixOld(19)='Pm(1/20g)'
      GruFixOld(20)='Pb(ab0)'
      GruFixOld(21)='Pb(ab1/2)'
      GruFixOld(22)='Pb(00g)'
      GruFixOld(23)='Pb(1/20g)'
      GruFixOld(24)='Bm(ab0)'
      GruFixOld(25)='Bm(ab0)s'
      GruFixOld(26)='Bm(00g)'
      GruFixOld(27)='Bm(01/2g)'
      GruFixOld(28)='Bb(ab0)'
      GruFixOld(29)='Bb(00g)'
      GruFixOld(30)='P2/m(ab0)'
      GruFixOld(31)='P2/m(ab0)0s'
      GruFixOld(32)='P2/m(ab1/2)'
      GruFixOld(33)='P2/m(00g)'
      GruFixOld(34)='P2/m(00g)s0'
      GruFixOld(35)='P2/m(1/20g)'
      GruFixOld(36)='P21/m(ab0)'
      GruFixOld(37)='P21/m(ab0)0s'
      GruFixOld(38)='P21/m(00g)'
      GruFixOld(39)='P21/m(1/20g)'
      GruFixOld(40)='B2/m(ab0)'
      GruFixOld(41)='B2/m(ab0)0s'
      GruFixOld(42)='B2/m(00g)'
      GruFixOld(43)='B2/m(00g)s0'
      GruFixOld(44)='B2/m(1/20g)'
      GruFixOld(45)='P2/b(ab0)'
      GruFixOld(46)='P2/b(ab1/2)'
      GruFixOld(47)='P2/b(00g)'
      GruFixOld(48)='P2/b(00g)s0'
      GruFixOld(49)='P2/b(1/20g)'
      GruFixOld(50)='P21/b(ab0)'
      GruFixOld(51)='P21/b(00g)'
      GruFixOld(52)='P21/b(1/20g)'
      GruFixOld(53)='B2/b(ab0)'
      GruFixOld(54)='B2/b(00g)'
      GruFixOld(55)='B2/b(00g)s0'
      GruFixOld(56)='P222(00g)'
      GruFixOld(57)='P222(00g)00s'
      GruFixOld(58)='P222(01/2g)'
      GruFixOld(59)='P222(1/21/2g)'
      GruFixOld(60)='P2221(00g)'
      GruFixOld(61)='P2221(01/2g)'
      GruFixOld(62)='P2221(1/21/2g)'
      GruFixOld(63)='P2122(00g)'
      GruFixOld(64)='P2122(00g)00s'
      GruFixOld(65)='P2122(01/2g)'
      GruFixOld(66)='P21212(00g)'
      GruFixOld(67)='P21212(00g)00s'
      GruFixOld(68)='P21221(00g)'
      GruFixOld(69)='P21221(01/2g)'
      GruFixOld(70)='P212121(00g)'
      GruFixOld(71)='C2221(00g)'
      GruFixOld(72)='C2221(10g)'
      GruFixOld(73)='A2122(00g)'
      GruFixOld(74)='A2122(00g)00s'
      GruFixOld(75)='C222(00g)'
      GruFixOld(76)='C222(00g)00s'
      GruFixOld(77)='C222(10g)'
      GruFixOld(78)='C222(10g)00s'
      GruFixOld(79)='A222(00g)'
      GruFixOld(80)='A222(00g)00s'
      GruFixOld(81)='A222(1/20g)'
      GruFixOld(82)='F222(00g)'
      GruFixOld(83)='F222(00g)00s'
      GruFixOld(84)='F222(10g)'
      GruFixOld(85)='I222(00g)'
      GruFixOld(86)='I222(00g)00s'
      GruFixOld(87)='I212121(00g)'
      GruFixOld(88)='I212121(00g)00s'
      GruFixOld(89)='Pmm2(00g)'
      GruFixOld(90)='Pmm2(00g)s0s'
      GruFixOld(91)='Pmm2(00g)ss0'
      GruFixOld(92)='Pmm2(01/2g)'
      GruFixOld(93)='Pmm2(01/2g)s0s'
      GruFixOld(94)='Pmm2(1/21/2g)'
      GruFixOld(95)='Pm2m(01/2g)'
      GruFixOld(96)='Pm2m(01/2g)s00'
      GruFixOld(97)='P2mm(00g)'
      GruFixOld(98)='P2mm(00g)0s0'
      GruFixOld(99)='P2mm(01/2g)'
      GruFixOld(100)='P2mm(1/21/2g)'
      GruFixOld(101)='Pmc21(00g)'
      GruFixOld(102)='Pmc21(00g)s0s'
      GruFixOld(103)='Pmc21(01/2g)'
      GruFixOld(104)='Pmc21(01/2g)s0s'
      GruFixOld(105)='Pcm21(01/2g)'
      GruFixOld(106)='Pmc21(1/21/2g)'
      GruFixOld(107)='P21am(00g)'
      GruFixOld(108)='P21am(00g)0s0'
      GruFixOld(109)='P21mn(00g)'
      GruFixOld(110)='P21ma(00g)0s0'
      GruFixOld(111)='P21am(01/2g)'
      GruFixOld(112)='P21ma(01/2g)'
      GruFixOld(113)='Pcc2(00g)'
      GruFixOld(114)='Pcc2(00g)s0s'
      GruFixOld(115)='Pcc2(01/2g)'
      GruFixOld(116)='Pcc2(1/21/2g)'
      GruFixOld(117)='P2aa(00g)'
      GruFixOld(118)='P2aa(00g)0s0'
      GruFixOld(119)='P2aa(01/2g)'
      GruFixOld(120)='Pma2(00g)'
      GruFixOld(121)='Pma2(00g)s0s'
      GruFixOld(122)='Pma2(00g)ss0'
      GruFixOld(123)='Pma2(00g)0ss'
      GruFixOld(124)='Pma2(01/2g)'
      GruFixOld(125)='Pma2(01/2g)s0s'
      GruFixOld(126)='Pm2a(01/2g)'
      GruFixOld(127)='Pm2a(01/2g)s00'
      GruFixOld(128)='Pc2m(01/2g)'
      GruFixOld(129)='P2cm(00g)'
      GruFixOld(130)='P2mb(00g)'
      GruFixOld(131)='P2mb(00g)0s0'
      GruFixOld(132)='P2cm(01/2g)'
      GruFixOld(133)='P2cm(1/21/2g)'
      GruFixOld(134)='Pca21(00g)'
      GruFixOld(135)='Pca21(00g)0ss'
      GruFixOld(136)='Pca21(01/2g)'
      GruFixOld(137)='P21ca(00g)'
      GruFixOld(138)='P21ab(00g)'
      GruFixOld(139)='P21ab(00g)0s0'
      GruFixOld(140)='P21ca(01/2g)'
      GruFixOld(141)='Pcn2(00g)'
      GruFixOld(142)='Pcn2(00g)s0s'
      GruFixOld(143)='Pcn2(01/2g)'
      GruFixOld(144)='P2na(00g)'
      GruFixOld(145)='P2an(00g)'
      GruFixOld(146)='P2an(00g)0s0'
      GruFixOld(147)='P2na(01/2g)'
      GruFixOld(148)='P2an(1/21/2g)0q0'
      GruFixOld(149)='Pmn21(00g)'
      GruFixOld(150)='Pmn21(00g)s0s'
      GruFixOld(151)='Pmn21(01/2g)'
      GruFixOld(152)='Pmn21(01/2g)s0s'
      GruFixOld(153)='P21nm(00g)'
      GruFixOld(154)='P21mn(00g)'
      GruFixOld(155)='P21mn(00g)0s0'
      GruFixOld(156)='P21nm(01/2g)'
      GruFixOld(157)='Pba2(00g)'
      GruFixOld(158)='Pba2(00g)s0s'
      GruFixOld(159)='Pba2(00g)ss0'
      GruFixOld(160)='Pba2(1/21/2g)qq0'
      GruFixOld(161)='Pc2a(01/2g)'
      GruFixOld(162)='P2cb(00g)'
      GruFixOld(163)='Pbn21(00g)'
      GruFixOld(164)='Pbn21(00g)s0s'
      GruFixOld(165)='Pbn21(1/21/2g)qq0'
      GruFixOld(166)='P21nb(00g)'
      GruFixOld(167)='P21cn(00g)'
      GruFixOld(168)='Pnn2(00g)'
      GruFixOld(169)='Pnn2(00g)s0s'
      GruFixOld(170)='Pnn2(1/21/2g)qq0'
      GruFixOld(171)='P2nn(00g)'
      GruFixOld(172)='P2nn(1/21/2g)0q0'
      GruFixOld(173)='Cmm2(00g)'
      GruFixOld(174)='Cmm2(00g)s0s'
      GruFixOld(175)='Cmm2(00g)ss0'
      GruFixOld(176)='Cmm2(10g)'
      GruFixOld(177)='Cmm2(10g)s0s'
      GruFixOld(178)='Cmm2(10g)ss0'
      GruFixOld(179)='A2mm(00g)'
      GruFixOld(180)='A2mm(00g)0s0'
      GruFixOld(181)='A2mm(1/20g)'
      GruFixOld(182)='A2mm(1/20g)0s0'
      GruFixOld(183)='Cmc21(00g)'
      GruFixOld(184)='Cmc21(00g)s0s'
      GruFixOld(185)='Cmc21(10g)'
      GruFixOld(186)='Cmc21(10g)s0s'
      GruFixOld(187)='A21am(00g)'
      GruFixOld(188)='A21am(00g)0s0'
      GruFixOld(189)='A21ma(00g)'
      GruFixOld(190)='A21ma(00g)0s0'
      GruFixOld(191)='Ccc2(00g)'
      GruFixOld(192)='Ccc2(00g)s0s'
      GruFixOld(193)='Ccc2(10g)'
      GruFixOld(194)='Ccc2(10g)s0s'
      GruFixOld(195)='A2aa(00g)'
      GruFixOld(196)='A2aa(00g)0s0'
      GruFixOld(197)='C2mm(00g)'
      GruFixOld(198)='C2mm(00g)0s0'
      GruFixOld(199)='C2mm(10g)'
      GruFixOld(200)='C2mm(10g)0s0'
      GruFixOld(201)='Amm2(00g)'
      GruFixOld(202)='Amm2(00g)s0s'
      GruFixOld(203)='Amm2(00g)ss0'
      GruFixOld(204)='Amm2(00g)0ss'
      GruFixOld(205)='Amm2(1/20g)'
      GruFixOld(206)='Amm2(1/20g)0ss'
      GruFixOld(207)='Am2m(00g)'
      GruFixOld(208)='Am2m(00g)s00'
      GruFixOld(209)='Am2m(1/20g)'
      GruFixOld(210)='C2mb(00g)'
      GruFixOld(211)='C2mb(00g)0s0'
      GruFixOld(212)='C2mb(10g)'
      GruFixOld(213)='C2mb(10g)0s0'
      GruFixOld(214)='Abm2(00g)'
      GruFixOld(215)='Abm2(00g)s0s'
      GruFixOld(216)='Abm2(00g)ss0'
      GruFixOld(217)='Abm2(00g)0ss'
      GruFixOld(218)='Abm2(1/20g)'
      GruFixOld(219)='Abm2(1/20g)0ss'
      GruFixOld(220)='Ac2m(00g)'
      GruFixOld(221)='Ac2m(00g)s00'
      GruFixOld(222)='Ac2m(1/20g)'
      GruFixOld(223)='C2cm(00g)'
      GruFixOld(224)='C2cm(10g)'
      GruFixOld(225)='Ama2(00g)'
      GruFixOld(226)='Ama2(00g)s0s'
      GruFixOld(227)='Ama2(00g)ss0'
      GruFixOld(228)='Ama2(00g)0ss'
      GruFixOld(229)='Am2a(00g)'
      GruFixOld(230)='Am2a(00g)s00'
      GruFixOld(231)='C2cb(00g)'
      GruFixOld(232)='C2cb(10g)'
      GruFixOld(233)='Aba2(00g)'
      GruFixOld(234)='Aba2(00g)s0s'
      GruFixOld(235)='Aba2(00g)ss0'
      GruFixOld(236)='Aba2(00g)0ss'
      GruFixOld(237)='Ac2a(00g)'
      GruFixOld(238)='Ac2a(00g)s00'
      GruFixOld(239)='Fmm2(00g)'
      GruFixOld(240)='Fmm2(00g)s0s'
      GruFixOld(241)='Fmm2(00g)ss0'
      GruFixOld(242)='Fmm2(10g)'
      GruFixOld(243)='Fmm2(10g)s0s'
      GruFixOld(244)='Fmm2(10g)ss0'
      GruFixOld(245)='F2mm(00g)'
      GruFixOld(246)='F2mm(00g)0s0'
      GruFixOld(247)='F2mm(10g)'
      GruFixOld(248)='F2mm(10g)0s0'
      GruFixOld(249)='Fdd2(00g)'
      GruFixOld(250)='Fdd2(00g)s0s'
      GruFixOld(251)='F2dd(00g)'
      GruFixOld(252)='Imm2(00g)'
      GruFixOld(253)='Imm2(00g)s0s'
      GruFixOld(254)='Imm2(00g)ss0'
      GruFixOld(255)='I2mm(00g)'
      GruFixOld(256)='I2mm(00g)0s0'
      GruFixOld(257)='Iba2(00g)'
      GruFixOld(258)='Iba2(00g)s0s'
      GruFixOld(259)='Iba2(00g)ss0'
      GruFixOld(260)='I2cb(00g)'
      GruFixOld(261)='I2cb(00g)0s0'
      GruFixOld(262)='Ima2(00g)'
      GruFixOld(263)='Ima2(00g)s0s'
      GruFixOld(264)='Ima2(00g)ss0'
      GruFixOld(265)='Ima2(00g)0ss'
      GruFixOld(266)='I2mb(00g)'
      GruFixOld(267)='I2mb(00g)0s0'
      GruFixOld(268)='I2cm(00g)'
      GruFixOld(269)='I2cm(00g)0s0'
      GruFixOld(270)='Pmmm(00g)'
      GruFixOld(271)='Pmmm(00g)s00'
      GruFixOld(272)='Pmmm(00g)ss0'
      GruFixOld(273)='Pmmm(01/2g)'
      GruFixOld(274)='Pmmm(01/2g)s00'
      GruFixOld(275)='Pmmm(1/21/2g)'
      GruFixOld(276)='Pnnn(00g)'
      GruFixOld(277)='Pnnn(00g)s00'
      GruFixOld(278)='Pnnn(1/21/2g)qq0'
      GruFixOld(279)='Pccm(00g)'
      GruFixOld(280)='Pccm(00g)s00'
      GruFixOld(281)='Pmaa(00g)'
      GruFixOld(282)='Pmaa(00g)s00'
      GruFixOld(283)='Pmaa(00g)ss0'
      GruFixOld(284)='Pmaa(00g)0s0'
      GruFixOld(285)='Pccm(01/2g)'
      GruFixOld(286)='Pmaa(01/2g)'
      GruFixOld(287)='Pmaa(01/2g)s00'
      GruFixOld(288)='Pccm(1/21/2g)'
      GruFixOld(289)='Pban(00g)'
      GruFixOld(290)='Pban(00g)s00'
      GruFixOld(291)='Pban(00g)ss0'
      GruFixOld(292)='Pcna(00g)'
      GruFixOld(293)='Pcna(00g)s00'
      GruFixOld(294)='Pcna(01/2g)'
      GruFixOld(295)='Pban(1/21/2g)qq0'
      GruFixOld(296)='Pmma(00g)'
      GruFixOld(297)='Pmma(00g)s00'
      GruFixOld(298)='Pmma(00g)ss0'
      GruFixOld(299)='Pmma(00g)0s0'
      GruFixOld(300)='Pmam(00g)'
      GruFixOld(301)='Pmam(00g)s00'
      GruFixOld(302)='Pmam(00g)ss0'
      GruFixOld(303)='Pmam(00g)0s0'
      GruFixOld(304)='Pmcm(00g)'
      GruFixOld(305)='Pmcm(00g)s00'
      GruFixOld(306)='Pmma(01/2g)'
      GruFixOld(307)='Pmma(01/2g)s00'
      GruFixOld(308)='Pmam(01/2g)'
      GruFixOld(309)='Pmam(01/2g)s00'
      GruFixOld(310)='Pmcm(01/2g)'
      GruFixOld(311)='Pmcm(01/2g)s00'
      GruFixOld(312)='Pcmm(01/2g)'
      GruFixOld(313)='Pcmm(1/21/2g)'
      GruFixOld(314)='Pnna(00g)'
      GruFixOld(315)='Pnna(00g)s00'
      GruFixOld(316)='Pbnn(00g)'
      GruFixOld(317)='Pbnn(00g)s00'
      GruFixOld(318)='Pcnn(00g)'
      GruFixOld(319)='Pcnn(00g)s00'
      GruFixOld(320)='Pbnn(1/21/2g)qq0'
      GruFixOld(321)='Pmna(00g)'
      GruFixOld(322)='Pmna(00g)s00'
      GruFixOld(323)='Pcnm(00g)'
      GruFixOld(324)='Pcnm(00g)s00'
      GruFixOld(325)='Pbmn(00g)'
      GruFixOld(326)='Pbmn(00g)s00'
      GruFixOld(327)='Pbmn(00g)ss0'
      GruFixOld(328)='Pbmn(00g)0s0'
      GruFixOld(329)='Pmna(01/2g)'
      GruFixOld(330)='Pmna(01/2g)s00'
      GruFixOld(331)='Pcnm(01/2g)'
      GruFixOld(332)='Pcca(00g)'
      GruFixOld(333)='Pcca(00g)s00'
      GruFixOld(334)='Pcaa(00g)'
      GruFixOld(335)='Pcaa(00g)0s0'
      GruFixOld(336)='Pbab(00g)'
      GruFixOld(337)='Pbab(00g)s00'
      GruFixOld(338)='Pbab(00g)ss0'
      GruFixOld(339)='Pbab(00g)0s0'
      GruFixOld(340)='Pcca(01/2g)'
      GruFixOld(341)='Pcaa(01/2g)'
      GruFixOld(342)='Pbam(00g)'
      GruFixOld(343)='Pbam(00g)s00'
      GruFixOld(344)='Pbam(00y)ss0'
      GruFixOld(345)='Pcma(00g)'
      GruFixOld(346)='Pcma(00g)0s0'
      GruFixOld(347)='Pcma(01/2g)'
      GruFixOld(348)='Pccn(00g)'
      GruFixOld(349)='Pccn(00g)s00'
      GruFixOld(350)='Pbnb(00g)'
      GruFixOld(351)='Pbnb(00g)s00'
      GruFixOld(352)='Pcam(00g)'
      GruFixOld(353)='Pcam(00g)0s0'
      GruFixOld(354)='Pmca(00g)'
      GruFixOld(355)='Pmca(00g)s00'
      GruFixOld(356)='Pbma(00g)'
      GruFixOld(357)='Pbma(00g)s00'
      GruFixOld(358)='Pbma(00g)ss0'
      GruFixOld(359)='Pbma(00g)0s0'
      GruFixOld(360)='Pcam(01/2g)'
      GruFixOld(361)='Pmca(01/2g)'
      GruFixOld(362)='Pmca(01/2g)s00'
      GruFixOld(363)='Pnnm(00g)'
      GruFixOld(364)='Pnnm(00g)s00'
      GruFixOld(365)='Pmnn(00g)'
      GruFixOld(366)='Pmnn(00g)s00'
      GruFixOld(367)='Pmmn(00g)'
      GruFixOld(368)='Pmmn(00g)s00'
      GruFixOld(369)='Pmmn(00g)ss0'
      GruFixOld(370)='Pmnm(00g)'
      GruFixOld(371)='Pmnm(00g)s00'
      GruFixOld(372)='Pmnm(01/2g)'
      GruFixOld(373)='Pmnm(01/2g)s00'
      GruFixOld(374)='Pbcn(00g)'
      GruFixOld(375)='Pbcn(00g)s00'
      GruFixOld(376)='Pnca(00g)'
      GruFixOld(377)='Pnca(00g)s00'
      GruFixOld(378)='Pbna(00g)'
      GruFixOld(379)='Pbna(00g)s00'
      GruFixOld(380)='Pbca(00g)'
      GruFixOld(381)='Pbca(00g)s00'
      GruFixOld(382)='Pnma(00g)'
      GruFixOld(383)='Pnma(00g)0s0'
      GruFixOld(384)='Pbnm(00g)'
      GruFixOld(385)='Pbnm(00g)s00'
      GruFixOld(386)='Pmcn(00g)'
      GruFixOld(387)='Pmcn(00g)s00'
      GruFixOld(388)='Cmcm(00g)'
      GruFixOld(389)='Cmcm(00g)s00'
      GruFixOld(390)='Cmcm(10g)'
      GruFixOld(391)='Cmcm(10g)s00'
      GruFixOld(392)='Amam(00g)'
      GruFixOld(393)='Amam(00g)s00'
      GruFixOld(394)='Amam(00g)ss0'
      GruFixOld(395)='Amam(00g)0s0'
      GruFixOld(396)='Amma(00g)'
      GruFixOld(397)='Amma(00g)s00'
      GruFixOld(398)='Amma(00g)ss0'
      GruFixOld(399)='Amma(00g)0s0'
      GruFixOld(400)='Cmca(00g)'
      GruFixOld(401)='Cmca(00g)s00'
      GruFixOld(402)='Cmca(10g)'
      GruFixOld(403)='Cmca(10y)s00'
      GruFixOld(404)='Abma(00g)'
      GruFixOld(405)='Abma(00g)s00'
      GruFixOld(406)='Abma(00g)ss0'
      GruFixOld(407)='Abma(00g)0s0'
      GruFixOld(408)='Acam(00g)'
      GruFixOld(409)='Acam(00g)s00'
      GruFixOld(410)='Acam(00g)ss0'
      GruFixOld(411)='Acam(00g)0s0'
      GruFixOld(412)='Cmmm(00g)'
      GruFixOld(413)='Cmmm(00g)s00'
      GruFixOld(414)='Cmmm(00g)ss0'
      GruFixOld(415)='Cmmm(10g)'
      GruFixOld(416)='Cmmm(10g)s00'
      GruFixOld(417)='Cmmm(10g)ss0'
      GruFixOld(418)='Ammm(00g)'
      GruFixOld(419)='Ammm(00g)s00'
      GruFixOld(420)='Ammm(00g)ss0'
      GruFixOld(421)='Ammm(00g)0s0'
      GruFixOld(422)='Ammm(1/20g)'
      GruFixOld(423)='Ammm(1/20g)0s0'
      GruFixOld(424)='Cccm(00g)'
      GruFixOld(425)='Cccm(00g)s00'
      GruFixOld(426)='Cccm(10g)'
      GruFixOld(427)='Cccm(10y)s00'
      GruFixOld(428)='Amaa(00g)'
      GruFixOld(429)='Amaa(00g)s00'
      GruFixOld(430)='Amaa(00g)ss0'
      GruFixOld(431)='Amaa(00g)0s0'
      GruFixOld(432)='Cmma(00g)'
      GruFixOld(433)='Cmma(00g)s00'
      GruFixOld(434)='Cmma(00g)ss0'
      GruFixOld(435)='Cmma(10g)'
      GruFixOld(436)='Cmma(10g)s00'
      GruFixOld(437)='Cmma(10g)ss0'
      GruFixOld(438)='Acmm(00g)'
      GruFixOld(439)='Acmm(00g)s00'
      GruFixOld(440)='Acmm(00g)ss0'
      GruFixOld(441)='Acmm(00g)0s0'
      GruFixOld(442)='Acmm(1/20g)'
      GruFixOld(443)='Acmm(1/20g)0s0'
      GruFixOld(444)='Ccca(00g)'
      GruFixOld(445)='Ccca(00g)s00'
      GruFixOld(446)='Ccca(10g)'
      GruFixOld(447)='Ccca(10g)s00'
      GruFixOld(448)='Acaa(00g)'
      GruFixOld(449)='Acaa(00g)s00'
      GruFixOld(450)='Acaa(00g)ss0'
      GruFixOld(451)='Acaa(00g)0s0'
      GruFixOld(452)='Fmmm(00g)'
      GruFixOld(453)='Fmmm(00g)s00'
      GruFixOld(454)='Fmmm(00g)ss0'
      GruFixOld(455)='Fmmm(10g)'
      GruFixOld(456)='Fmmm(10g)s00'
      GruFixOld(457)='Fmmm(10g)ss0'
      GruFixOld(458)='Fddd(00g)'
      GruFixOld(459)='Fddd(00g)s00'
      GruFixOld(460)='Immm(00g)'
      GruFixOld(461)='Immm(00g)s00'
      GruFixOld(462)='Immm(00g)ss0'
      GruFixOld(463)='Ibam(00g)'
      GruFixOld(464)='Ibam(00g)s00'
      GruFixOld(465)='Ibam(00g)ss0'
      GruFixOld(466)='Imcb(00g)'
      GruFixOld(467)='Imcb(00g)s00'
      GruFixOld(468)='Imcb(00g)ss0'
      GruFixOld(469)='Imcb(00g)0s0'
      GruFixOld(470)='Ibca(00g)'
      GruFixOld(471)='Ibca(00g)s00'
      GruFixOld(472)='Ibca(00g)ss0'
      GruFixOld(473)='Imma(00g)'
      GruFixOld(474)='Imma(00g)s00'
      GruFixOld(475)='Imma(00g)ss0'
      GruFixOld(476)='Icmm(00g)'
      GruFixOld(477)='Icmm(00g)s00'
      GruFixOld(478)='Icmm(00g)ss0'
      GruFixOld(479)='Icmm(00g)0s0'
      GruFixOld(480)='P4(00g)'
      GruFixOld(481)='P4(00g)q'
      GruFixOld(482)='P4(00g)s'
      GruFixOld(483)='P4(1/21/2g)'
      GruFixOld(484)='P4(1/21/2g)q'
      GruFixOld(485)='P41(00g)'
      GruFixOld(486)='P41(1/21/2g)'
      GruFixOld(487)='P42(00g)'
      GruFixOld(488)='P42(00g)q'
      GruFixOld(489)='P42(1/21/2g)'
      GruFixOld(490)='P42(1/21/2g)q'
      GruFixOld(491)='P43(00g)'
      GruFixOld(492)='P43(1/21/2g)q'
      GruFixOld(493)='I4(00g)'
      GruFixOld(494)='I4(00g)q'
      GruFixOld(495)='I4(00g)s'
      GruFixOld(496)='I41(00g)'
      GruFixOld(497)='I41(00g)q'
      GruFixOld(498)='P4(00g)'
      GruFixOld(499)='P-4(1/21/2g)'
      GruFixOld(500)='I-4(00g)'
      GruFixOld(501)='P4/m(00g)'
      GruFixOld(502)='P4/m(00g)s0'
      GruFixOld(503)='P4/m(1/21/2g)'
      GruFixOld(504)='P42/m(00g)'
      GruFixOld(505)='P42/m(1/21/2g)'
      GruFixOld(506)='P4/n(00g)'
      GruFixOld(507)='P4/n(00g)s0'
      GruFixOld(508)='P4/n(1/21/2g)q0'
      GruFixOld(509)='P42/n(00g)'
      GruFixOld(510)='P42/n(1/21/2g)q0'
      GruFixOld(511)='I4/m(00g)'
      GruFixOld(512)='I4/m(00g)s0'
      GruFixOld(513)='I41/a(00g)'
      GruFixOld(514)='P422(00g)'
      GruFixOld(515)='P422(00g)q00'
      GruFixOld(516)='P422(00g)s00'
      GruFixOld(517)='P422(1/21/2g)'
      GruFixOld(518)='P422(1/21/2g)q00'
      GruFixOld(519)='P4212(00g)'
      GruFixOld(520)='P4212(00g)q00'
      GruFixOld(521)='P4212(00g)s00'
      GruFixOld(522)='P4122(00g)'
      GruFixOld(523)='P4122(1/21/2g)'
      GruFixOld(524)='P41212(00g)'
      GruFixOld(525)='P4222(00g)'
      GruFixOld(526)='P4222(00g)q00'
      GruFixOld(527)='P4222(1/21/2g)'
      GruFixOld(528)='P4222(1/21/2g)q00'
      GruFixOld(529)='P42212(00g)'
      GruFixOld(530)='P42212(00g)q00'
      GruFixOld(531)='P4322(00g)'
      GruFixOld(532)='P4322(1/21/2g)'
      GruFixOld(533)='P43212(00g)'
      GruFixOld(534)='I422(00g)'
      GruFixOld(535)='I422(00g)q00'
      GruFixOld(536)='I422(00g)s00'
      GruFixOld(537)='I4122(00g)'
      GruFixOld(538)='I4122(00g)q00'
      GruFixOld(539)='P4mm(00g)'
      GruFixOld(540)='P4mm(00g)ss0'
      GruFixOld(541)='P4mm(00g)0ss'
      GruFixOld(542)='P4mm(00g)s0s'
      GruFixOld(543)='P4mm(1/21/2g)'
      GruFixOld(544)='P4mm(1/21/2g)0ss'
      GruFixOld(545)='P4bm(00g)'
      GruFixOld(546)='P4bm(00g)ss0'
      GruFixOld(547)='P4bm(00g)0ss'
      GruFixOld(548)='P4bm(00y)s0s'
      GruFixOld(549)='P4bm(1/21/2g)qq0'
      GruFixOld(550)='P4bm(1/21/2g)qqs'
      GruFixOld(551)='P42cm(00g)'
      GruFixOld(552)='P42cm(00g)0ss'
      GruFixOld(553)='P42cm(1/21/2g)'
      GruFixOld(554)='P42cm(1/21/2g)0ss'
      GruFixOld(555)='P42nm(00g)'
      GruFixOld(556)='P42nm(00g)0ss'
      GruFixOld(557)='P42nm(1/21/2g)qq0'
      GruFixOld(558)='P42nm(1/21/2g)qqs'
      GruFixOld(559)='P4cc(00g)'
      GruFixOld(560)='P4cc(00g)ss0'
      GruFixOld(561)='P4cc(1/21/2g)'
      GruFixOld(562)='P4nc(00g)'
      GruFixOld(563)='P4nc(00g)ss0'
      GruFixOld(564)='P4nc(1/21/2g)qq0'
      GruFixOld(565)='P42mc(00g)'
      GruFixOld(566)='P42mc(00g)ss0'
      GruFixOld(567)='P42mc(1/21/2g)'
      GruFixOld(568)='P42bc(00g)'
      GruFixOld(569)='P42bc(00g)ss0'
      GruFixOld(570)='P42bc(1/21/2g)qq0'
      GruFixOld(571)='I4mm(00g)'
      GruFixOld(572)='I4mm(00g)ss0'
      GruFixOld(573)='I4mm(00g)0ss'
      GruFixOld(574)='I4mm(00g)s0s'
      GruFixOld(575)='I4cm(00g)'
      GruFixOld(576)='I4cm(00g)ss0'
      GruFixOld(577)='I4cm(00g)0ss'
      GruFixOld(578)='I4cm(00g)s0s'
      GruFixOld(579)='I41md(00g)'
      GruFixOld(580)='I41md(00g)ss0'
      GruFixOld(581)='I41cd(00g)'
      GruFixOld(582)='I41cd(00g)ss0'
      GruFixOld(583)='P-42m(00g)'
      GruFixOld(584)='P-42m(00g)00s'
      GruFixOld(585)='P-42m(1/21/2g)'
      GruFixOld(586)='P-42m(1/21/2g)00s'
      GruFixOld(587)='P-42c(00g)'
      GruFixOld(588)='P-42c(1/21/2g)'
      GruFixOld(589)='P-421m(00g)'
      GruFixOld(590)='P-421m(00g)00s'
      GruFixOld(591)='P-421c(00g)'
      GruFixOld(592)='P-4m2(00g)'
      GruFixOld(593)='P-4m2(00g)0s0'
      GruFixOld(594)='P-4m2(1/21/2g)'
      GruFixOld(595)='P-4c2(00g)'
      GruFixOld(596)='P-4c2(1/21/2g)'
      GruFixOld(597)='P-4b2(00g)'
      GruFixOld(598)='P-4b2(00g)0s0'
      GruFixOld(599)='P-4b2(1/21/2g)0q0'
      GruFixOld(600)='P-4n2(00g)'
      GruFixOld(601)='P-4n2(1/21/2g)0q0'
      GruFixOld(602)='I-4m2(00g)'
      GruFixOld(603)='I-4m2(00g)0s0'
      GruFixOld(604)='I-4c2(00g)'
      GruFixOld(605)='I-4c2(00g)0s0'
      GruFixOld(606)='I-42m(00g)'
      GruFixOld(607)='I-42m(00g)00s'
      GruFixOld(608)='I42d(00g)'
      GruFixOld(609)='P4/mmm(00g)'
      GruFixOld(610)='P4/mmm(00g)s0s0'
      GruFixOld(611)='P4/mmm(00g)00ss'
      GruFixOld(612)='P4/mmm(00g)s00s'
      GruFixOld(613)='P4/mmm(1/21/2g)'
      GruFixOld(614)='P4/mmm(1/21/2g)00ss'
      GruFixOld(615)='P4/mcc(00g)'
      GruFixOld(616)='P4/mcc(00g)s0s0'
      GruFixOld(617)='P4/mcc(1/21/2g)'
      GruFixOld(618)='P4/nbm(00g)'
      GruFixOld(619)='P4/nbm(00g)s0s0'
      GruFixOld(620)='P4/nbm(00g)00ss'
      GruFixOld(621)='P4/nbm(00g)s00s'
      GruFixOld(622)='P4/nbm(1/21/2g)q0q0'
      GruFixOld(623)='P4/nbm(1/21/2g)q0qs'
      GruFixOld(624)='P4/nnc(00g)'
      GruFixOld(625)='P4/nnc(00g)s0s0'
      GruFixOld(626)='P4/nnc(1/21/2g)q0q0'
      GruFixOld(627)='P4/mbm(00g)'
      GruFixOld(628)='P4/mbm(00g)s0s0'
      GruFixOld(629)='P4/mbm(00g)00ss'
      GruFixOld(630)='P4/mbm(00g)s00s'
      GruFixOld(631)='P4/mnc(00g)'
      GruFixOld(632)='P4/mnc(00g)s0s0'
      GruFixOld(633)='P4/nmm(00g)'
      GruFixOld(634)='P4/nmm(00g)s0s0'
      GruFixOld(635)='P4/nmm(00g)00ss'
      GruFixOld(636)='P4/nmm(00g)s00s'
      GruFixOld(637)='P4/ncc(00g)'
      GruFixOld(638)='P4/ncc(00g)s0s0'
      GruFixOld(639)='P42/mmc(00g)'
      GruFixOld(640)='P42/mmc(00g)s0s0'
      GruFixOld(641)='P42/mmc(1/21/2g)'
      GruFixOld(642)='P42/mcm(00g)'
      GruFixOld(643)='P42/mcm(00g)00ss'
      GruFixOld(644)='P42/mcm(1/21/2g)'
      GruFixOld(645)='P42/mcm(1/21/2g)00ss'
      GruFixOld(646)='P42/nbc(00g)'
      GruFixOld(647)='P42/nbc(00g)s0s0'
      GruFixOld(648)='P42/nbc(1/21/2g)q0q0'
      GruFixOld(649)='P42/nnm(00g)'
      GruFixOld(650)='P42/nnm(00g)00ss'
      GruFixOld(651)='P42/nnm(1/21/2g)q0q0'
      GruFixOld(652)='P42/nnm(1/21/2g)q0qs'
      GruFixOld(653)='P42/mbc(00g)'
      GruFixOld(654)='P42/mbc(00g)s0s0'
      GruFixOld(655)='P42/mnm(00g)'
      GruFixOld(656)='P42/mnm(00g)00ss'
      GruFixOld(657)='P42/nmc(00g)'
      GruFixOld(658)='P42/nmc(00g)s0s0'
      GruFixOld(659)='P42/ncm(00g)'
      GruFixOld(660)='P42/ncm(00g)00ss'
      GruFixOld(661)='I4/mmm(00g)'
      GruFixOld(662)='I4/mmm(00g)s0s0'
      GruFixOld(663)='I4/mmm(00g)00ss'
      GruFixOld(664)='I4/mmm(00g)s00s'
      GruFixOld(665)='I4/mcm(00g)'
      GruFixOld(666)='I4/mcm(00g)s0s0'
      GruFixOld(667)='I4/mcm(00g)00ss'
      GruFixOld(668)='I4/mcm(00g)s00s'
      GruFixOld(669)='I41/amd(00g)'
      GruFixOld(670)='I41/amd(00g)s0s0'
      GruFixOld(671)='I41/acd(00g)'
      GruFixOld(672)='I41/acd(00g)s0s0'
      GruFixOld(673)='P3(1/31/3g)'
      GruFixOld(674)='P3(00g)'
      GruFixOld(675)='P3(00g)t'
      GruFixOld(676)='P31(1/31/3g)'
      GruFixOld(677)='P31(00g)'
      GruFixOld(678)='P32(1/31/3g)'
      GruFixOld(679)='P32(00g)'
      GruFixOld(680)='R3(00g)'
      GruFixOld(681)='R3(00g)t'
      GruFixOld(682)='P-3(1/31/3g)'
      GruFixOld(683)='P-3(00g)'
      GruFixOld(684)='R-3(00g)'
      GruFixOld(685)='P312(1/31/3g)'
      GruFixOld(686)='P312(00g)'
      GruFixOld(687)='P312(00g)t00'
      GruFixOld(688)='P321(00g)'
      GruFixOld(689)='P321(00g)t00'
      GruFixOld(690)='P3112(1/31/3g)'
      GruFixOld(691)='P3112(00g)'
      GruFixOld(692)='P3121(00g)'
      GruFixOld(693)='P3212(1/31/3g)'
      GruFixOld(694)='P3212(00g)'
      GruFixOld(695)='P3221(00g)'
      GruFixOld(696)='R32(00g)'
      GruFixOld(697)='R32(00g)t0'
      GruFixOld(698)='P3m1(00g)'
      GruFixOld(699)='P3m1(00g)0s0'
      GruFixOld(700)='P31m(1/31/3g)'
      GruFixOld(701)='P31m(1/31/3g)00s'
      GruFixOld(702)='P31m(00g)'
      GruFixOld(703)='P31m(00g)00s'
      GruFixOld(704)='P3cl(00g)'
      GruFixOld(705)='P31c(1/31/3g)'
      GruFixOld(706)='P31c(00g)'
      GruFixOld(707)='R3m(00g)'
      GruFixOld(708)='R3m(00g)0s'
      GruFixOld(709)='R3c(00g)'
      GruFixOld(710)='P-31m(1/31/3g)'
      GruFixOld(711)='P-31m(1/31/3g)00s'
      GruFixOld(712)='P-31m(00g)'
      GruFixOld(713)='P-31m(00g)00s'
      GruFixOld(714)='P-31c(1/31/3g)'
      GruFixOld(715)='P-31c(00g)'
      GruFixOld(716)='P-3m1(00g)'
      GruFixOld(717)='P-3ml(00g)0s0'
      GruFixOld(718)='P-3cl(00g)'
      GruFixOld(719)='R-3m(00g)'
      GruFixOld(720)='R-3m(00g)0s'
      GruFixOld(721)='R-3c(00g)'
      GruFixOld(722)='P6(00g)'
      GruFixOld(723)='P6(00g)h'
      GruFixOld(724)='P6(00g)t'
      GruFixOld(725)='P6(00g)s'
      GruFixOld(726)='P61(00g)'
      GruFixOld(727)='P65(00g)'
      GruFixOld(728)='P62(00g)'
      GruFixOld(729)='P62(00g)h'
      GruFixOld(730)='P64(00g)'
      GruFixOld(731)='P64(00g)h'
      GruFixOld(732)='P63(00g)'
      GruFixOld(733)='P63(00g)h'
      GruFixOld(734)='P-6(00g)'
      GruFixOld(735)='P6/m(00g)'
      GruFixOld(736)='P6/m(00g)s0'
      GruFixOld(737)='P63/m(00g)'
      GruFixOld(738)='P622(00g)'
      GruFixOld(739)='P622(00g)h00'
      GruFixOld(740)='P622(00g)t00'
      GruFixOld(741)='P622(00g)s00'
      GruFixOld(742)='P6122(00g)'
      GruFixOld(743)='P6222(00g)'
      GruFixOld(744)='P6222(00g)'
      GruFixOld(745)='P6222(00g)h00'
      GruFixOld(746)='P6422(00g)'
      GruFixOld(747)='P6422(00g)h00'
      GruFixOld(748)='P6322(00g)'
      GruFixOld(749)='P6322(00g)h00'
      GruFixOld(750)='P6mm(00g)'
      GruFixOld(751)='P6mm(00g)ss0'
      GruFixOld(752)='P6mm(00g)0ss'
      GruFixOld(753)='P6mm(00g)s0s'
      GruFixOld(754)='P6cc(00g)'
      GruFixOld(755)='P6cc(00g)s0s'
      GruFixOld(756)='P63cm(00g)'
      GruFixOld(757)='P63cm(00g)0ss'
      GruFixOld(758)='P63mc(00g)'
      GruFixOld(759)='P63mc(00g)0ss'
      GruFixOld(760)='P6m2(00g)'
      GruFixOld(761)='P-6m2(00g)0s0'
      GruFixOld(762)='P-6c2(00g)'
      GruFixOld(763)='P-62m(00g)'
      GruFixOld(764)='P-62m(00g)00s'
      GruFixOld(765)='P-62c(00g)'
      GruFixOld(766)='P6/mmm(00g)'
      GruFixOld(767)='P6/mmm(00g)s0s0'
      GruFixOld(768)='P6/mmm(00g)00ss'
      GruFixOld(769)='P6/mmm(00g)s00s'
      GruFixOld(770)='P6/mcc(00g)'
      GruFixOld(771)='P6/mcc(00g)s00s'
      GruFixOld(772)='P63/mcm(00g)'
      GruFixOld(773)='P63/mcm(00g)00ss'
      GruFixOld(774)='P63/mmc(00g)'
      GruFixOld(775)='P63/mmc(00g)00ss'
      NDim(KPhase)=4
      NDimI(1)=NDim(KPhase)-3
      NDimQ(1)=NDim(KPhase)**2
      KPhase=1
      call SetRealArrayTo(ShSg,4,0.)
      n=0
      call OpenFile(46,'grtest.txt','formatted','unknown')
      call OpenFile(47,'diff.txt','formatted','unknown')
1200  n=n+1
      Monoclinic(KPhase)=3
      Grupa(KPhase)=GruFix(n)
      if(.not.EqIgCase(GruFixOld(n),GruFix(n))) then
        write(47,'(i5,2x,a15,''=>  '',a20)')
     1    n,GruFixOld(n),GruFix(n)
      endif
      write(46,'(''Grupa : '',a)') Grupa(KPhase)(:idel(Grupa(KPhase)))
      write(46,FormA1)('=',i=1,8+idel(Grupa(KPhase)))
      write(46,FormA1)
      i1=index(Grupa(KPhase),'(')
      i2=index(Grupa(KPhase)(i1+1:),')')+i1
      Veta=Grupa(KPhase)(i1+1:i2-1)
      call mala(Veta)
      do i=1,3
        if(idel(Veta).le.0) then
          call FeWinMessage(Grupa(KPhase),
     1                   'Chyba 1 pri dekodovani modulacniho vektoru')
          go to 1200
        endif
        k=1
1210    if(Veta(k:k).eq.smbq(i)(k:k)) then
          k=k+1
          go to 1210
        endif
        k=k-1
        if(k.eq.0) then
          j=index(Veta,'/')
          if(j.le.0.or.j.gt.3.or.(j.eq.3.and.Veta(1:1).ne.'-')) then
            k=1
          else
            k=j+1
          endif
          quir(i,1,KPhase)=fract(Veta(1:k),ich)
          qu(i,1,1,KPhase)=quir(i,1,KPhase)
          if(ich.ne.0) then
            call FeWinMessage(Grupa(KPhase),
     1                    'Chyba 2 pri dekodovani modulacniho vektoru')
            go to 1200
          endif
        else
          qu(i,1,1,KPhase)=sqrt(float(i)*.05)
          quir(i,1,KPhase)=0.
        endif
        Veta=Veta(k+1:)
      enddo
      call EM50GenSym(RunForFirstTimeYes,AskForDeltaNo,QuSymm,ich)
      Veta='(0,0,0,0)+'
      do i=2,NLattVec(KPhase)
        t80='('
        do j=1,NDim(KPhase)
          call ToFract(vt6(j,i,1,KPhase),Cislo,15)
          call zhusti(Cislo)
          t80=t80(:idel(t80))//Cislo(:idel(Cislo))
          if(j.lt.NDim(KPhase)) then
            t80=t80(:idel(t80))//','
          else
            t80=t80(:idel(t80))//')+'
          endif
        enddo
        Veta=Veta(:idel(Veta)+1)//t80(:idel(t80))
      enddo
      write(46,FormA1)(Veta(i:i),i=1,idel(Veta))
      write(46,FormA1)
      nn=0
      do j=1,NSymm(KPhase)
        call CodeSymm(rm6(1,j,1,KPhase),s6(1,j,1,KPhase),
     1                symmc(1,j,1,KPhase),0)
        do k=1,NDim(KPhase)
          nn=max(nn,idel(symmc(k,j,1,KPhase))+1)
         enddo
      enddo
      if(nn.lt.5) nn=5
      do j=1,NSymm(KPhase)
        Veta=' '
         k=1
        do l=1,NDim(KPhase)
          Veta(k+nn-idel(symmc(l,j,1,KPhase)):)=symmc(l,j,1,KPhase)
          k=k+nn
        enddo
        call newln(1)
        write(46,FormA1)(Veta(l:l),l=1,idel(Veta))
      enddo
      write(46,FormA1)
      if(n.lt.775) go to 1200
      close(46)
      close(47)
      return
      end
